std::indirect_array< _Tp >(3)

NAME
std::indirect_array< _Tp > -

SYNOPSIS

  Public Types
typedef _Tp value_type

  Public Member Functions
indirect_array (const indirect_array &)
void operator%= (const valarray< _Tp > &) const
template<class _Dom > void operator%= (const _Expr< _Dom, _Tp > &) const
void operator&= (const valarray< _Tp > &) const
template<class _Dom > void operator&= (const _Expr< _Dom, _Tp > &) const
void operator*= (const valarray< _Tp > &) const
template<class _Dom > void operator*= (const _Expr< _Dom, _Tp > &) const
void operator+= (const valarray< _Tp > &) const
template<class _Dom > void operator+= (const _Expr< _Dom, _Tp > &) const
void operator-= (const valarray< _Tp > &) const
template<class _Dom > void operator-= (const _Expr< _Dom, _Tp > &) const
void operator/= (const valarray< _Tp > &) const
template<class _Dom > void operator/= (const _Expr< _Dom, _Tp > &) const
void operator<<= (const valarray< _Tp > &) const
template<class _Dom > void operator<<= (const _Expr< _Dom, _Tp > &) const
indirect_array & operator= (const indirect_array &)
void operator= (const valarray< _Tp > &) const
void operator= (const _Tp &) const
template<class _Dom > void operator= (const _Expr< _Dom, _Tp > &) const
void operator>>= (const valarray< _Tp > &) const
template<class _Dom > void operator>>= (const _Expr< _Dom, _Tp > &) const
void operator^= (const valarray< _Tp > &) const
template<class _Dom > void operator^= (const _Expr< _Dom, _Tp > &) const
void operator|= (const valarray< _Tp > &) const
template<class _Dom > void operator|= (const _Expr< _Dom, _Tp > &) const

  Friends
class gslice_array< _Tp >
class valarray< _Tp >

Detailed Description

  template<class _Tp>class std::indirect_array< _Tp >
Reference to arbitrary subset of an array. An indirect_array is a reference to the actual elements of an array specified by an ordered array of indices. The way to get an indirect_array is to call operator[](valarray<size_t>) on a valarray. The returned indirect_array then permits carrying operations out on the referenced subset of elements in the original valarray.

For example, if an indirect_array is obtained using the array (4,2,0) as an argument, and then assigned to an array containing (1,2,3), then the underlying array will have array[0]==3, array[2]==2, and array[4]==1.

Parameters:
    Tp Element type.

Definition at line 84 of file valarray.

Author

Generated automatically by Doxygen for libstdc++ from the source code.